package com.lanyuanxiaoyao.service.loki.configuration;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 配置
 *
 * @author lanyuanxiaoyao
 * @date 2023-05-25
 */
@Component
@ConfigurationProperties("loki")
public class LokiConfiguration {
    private String host;

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    @Override
    public String toString() {
        return "LokiConfiguration{" +
                "url='" + host + '\'' +
                '}';
    }
}
